Page MenuHomePhabricator

OAuth messages that point to error descriptions in mediawiki.org need to be simplified
Closed, ResolvedPublic

Description

About 10 OAuth messages point to MediaWiki pages such as https://www.mediawiki.org/wiki/Help:OAuth/Errors . These links don't really need to be translated, so they shouldn't be in the messages. They should be inserted by the software.


Version: unspecified
Severity: normal

Details

Reference
bz57181

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:18 AM
bzimport set Reference to bz57181.
bzimport added a subscriber: Unknown Object (MLST).
Amire80 created this task.Nov 18 2013, 12:45 PM
Tgr lowered the priority of this task from Normal to Low.Jun 23 2015, 1:46 AM
Tgr added a project: good first bug.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 27 2017, 7:50 AM
Zppix added a subscriber: Zppix.Oct 30 2017, 7:06 PM

I will mentor this task along with @D3r1ck01

Albert221 claimed this task.Dec 2 2017, 5:54 PM

Change 394859 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/OAuth@master] [WIP]Un-i18n of exception messages

https://gerrit.wikimedia.org/r/394859

Reedy added a subscriber: Reedy.Dec 3 2017, 5:10 PM

@Amire80 For clarity, you want the https://www.mediawiki.org/wiki/Help:OAuth/Errors turning into a message parameter, and just passed in via MediaWiki, rather than hard coded into the i18n messages?

Change 394859 abandoned by Albert221:
[WIP]Un-i18n of exception messages

Reason:
Misunderstood task

https://gerrit.wikimedia.org/r/394859

Bawolff added a subscriber: Bawolff.Dec 3 2017, 5:56 PM

Exceptions can be hardcoded when they truly represent exceptional conditions (i.e. The enduser should never see them). In this case, these messages are user orienited so they should be translated.

However, the long url/markup is confusing to translators, so instead of things like [https://www.mediawiki.org/wiki/Help:OAuth/Errors#E009 E009] the message should instead just have $1, which would then be fed using ->rawParams( Linker::makeExternalLink(... ) ) (or Message::rawParam as this case is due to weird structure of extension).

That said, I don't understand why we link at all. I think we should just include the actual error in the message. See T181943

Okay @Bawolff, got it! @Albert221, do you understand the ticket better now and can you still work on it?

That said, I don't understand why we link at all.

I'm almost sure that this is because of the UX, look at T58492

Change 394860 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/OAuth@master] Move links from i18n to software

https://gerrit.wikimedia.org/r/394860

If you'll decide that the links should stay, above is the commit that had done this.

Tgr added a comment.Dec 3 2017, 7:21 PM

Hardcoding URLs in the software doesn't seem nice - maybe some site wants to link to its own documentation instead if mediawiki.org. The nice way to handle that would be to have a separate message for the URL (with {{notranslate}} in the message description). Personally I don't feel it's worth the effort, the links are not a problem for translators.

Change 394860 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Move links from i18n to software

https://gerrit.wikimedia.org/r/394860

Tgr added a comment.Dec 3 2017, 10:36 PM

The other three messages with EXXX error codes in them should probably also be updated for uniformity. Which is a good chance to fix the duplication of E009 - I created E011 for mwoauthserver-consumer-no-secret on the help page, that should be fixed in the message.

Change 399974 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/OAuth@master] Replace MediaWiki links with parameters

https://gerrit.wikimedia.org/r/399974

Change 399974 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Replace MediaWiki links with parameters

https://gerrit.wikimedia.org/r/399974

Albert221 closed this task as Resolved.Dec 23 2017, 1:42 AM